// $Id: ImageEntry.cpp 262 2010-07-28 13:25:26Z cr333 $

#include "ImageEntry.h"

using namespace System;
using namespace VideoLib::Frames;

namespace VideoLib { namespace SR4000 {

	ImageEntry::ImageEntry(ImgEntry &imageEntry)
	{
		_imageType = (EnumImageType)imageEntry.imgType;
		_dataType  = (EnumDataType)imageEntry.dataType;
		_data      = imageEntry.data;
		_width     = imageEntry.width;
		_height    = imageEntry.height;
	}

	BitmapFrame^ ImageEntry::GetBitmapFrame()
	{
		if(DataType != EnumDataType::UShort)
			throw gcnew Exception("Cannot deal with non-ushort image data.");

		// copy data directly into a bitmap frame
		return gcnew BitmapFrame(IntPtr(Data), Width, 2 * Width, Height, PixelFormat::Grey16);
	}

}}